Loading...
Searching...
No Matches
nth_tag.h File Reference

Tags for nth, HTTP engine module. More...

`#include <sofia-sip/su_tag.h>`
`#include <sofia-sip/url_tag.h>`
`#include <sofia-sip/http_tag.h>`
Include dependency graph for nth_tag.h:

Go to the source code of this file.

## Macros

#define | NTH_TAG_H
| Defined when <sofia-sip/nth_tag.h> has been included.
#define | NTHTAG_ANY()
| Filter tag matching any nth tag.
#define | NTHTAG_MCLASS(x)
| Pointer to a mclass, message factory object.
#define | NTHTAG_MFLAGS(x)
| Message flags used by nth_engine_msg_create()/nth_site_msg().
#define | NTHTAG_STREAMING(x)
| Enable streaming.
#define | NTHTAG_PROXY(x)
| URL for (default) proxy.
#define | NTHTAG_EXPIRES(x)
| Expires in milliseconds for client transactions.
#define | NTHTAG_ERROR_MSG(x)
| If true, nth engine generates complete error messages.
#define | NTHTAG_TEMPLATE(x)
| Use existing client request as template.
#define | NTHTAG_MESSAGE(x)
| Use existing request message.
#define | NTHTAG_AUTHENTICATION(x)
| Use stack of authenticators.
#define | NTHTAG_MAX_RETRY_AFTER(x)
| Maximum value for retry interval.
#define | NTHTAG_ROOT(x)
| Pointer to root reactor object.
#define | NTHTAG_STRICT_HOST(x)
| Do not serve requests to mismatching hosts by default host.
#define | NTHTAG_AUTH_MODULE(x)
| Pointer to authentication module.

## Variables

tagi_t | nth_client_tags []
| List of all nth tags.

## Detailed Description

Tags for nth, HTTP engine module.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Sun Oct 13 22:23:48 2002 ppessi

## Macro Definition Documentation

## NTHTAG_AUTH_MODULE

#define NTHTAG_AUTH_MODULE | ( |  | x | ) |

Pointer to authentication module.

.

Since
  New in 1.12.4.

A site requires authentication from the clients if passed an authentication module pointer with NTHTAG_AUTH_MODULE(). Incoming client request is challenged with 401, upon successful authentication the authenticated username is stored in the #auth_status_t structure associated with the nth_request_t object. It is up to application to authorize the user.

See also
  nth_site_create(), nth_site_set_params(), nth_request_auth().

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.